<script setup>
import { computed } from "vue";
import { useStore } from "vuex";
import {
  sectionBgLogin,
  sectionBgLoginDark,
  sectionBgError,
  sectionBgErrorDark,
} from "@/colors";
import MainSection from "@/components/MainSection.vue";

const props = defineProps({
  bg: {
    type: String,
    required: true,
    validator: (value) => ["login", "error"].includes(value),
  },
});

const store = useStore();

const darkMode = computed(() => store.state.darkMode);

const colorClass = computed(() => {
  switch (props.bg) {
    case "login":
      return darkMode.value ? sectionBgLoginDark : sectionBgLogin;
    case "error":
      return darkMode.value ? sectionBgErrorDark : sectionBgError;
  }

  return "";
});
</script>

<template>
  <section class="pb-28 max-h-fit items-center justify-center bg-pink-40">
    <span class="absolute right-2 top-0">
      <img src="@/assets/icons/top-icon.svg" />
    </span>
    <slot card-class="w-full border-0 " />
    <span class="absolute left-2 -bottom-80">
      <img src="@/assets/icons/bottom-icon.svg" />
    </span>
  </section>
</template>
